Name: python-module-pygnome
Version: 2.0.2
Release: alt1

Summary: The sources for the PyGNOME Python extension module

License: LGPL
Group: Development/Python
Url: http://www.pygtk.org/

Source: http://ftp.gnome.org/pub/GNOME/sources/gnome-python/2.0/gnome-python-%version.tar.bz2


Patch1: gnome-python-1.99.11-client-command.patch

%define buildgtkhtml 1
%setup_python_module pygnome
%define python_libdir %_libdir/python%__python_version
%define python_site_packages_dir %python_libdir/site-packages
%define python_gnome_dir %python_site_packages_dir/gtk-2.0/gnome
#%%add_python_lib_path %python_gnome_dir

Obsoletes: gnome-python
Obsoletes: gnome-python2
Provides: gnome-python2 = %version-%release

# manually removed: eric gcc-g77 gnome-libs-devel
# Automatically added by buildreq on Tue Jul 13 2004
BuildRequires: ORBit2-devel XFree86-devel XFree86-libs fontconfig freetype2 gcc-c++ glib2-devel gnome-vfs2-devel hostinfo libGConf2-devel libart_lgpl-devel libatk-devel libbonobo2-devel libbonoboui-devel libeel2-devel libgail-devel libglade2-devel libgnome-devel libgnome-panel-devel libgnomecanvas-devel libgnomeprint2-devel libgnomeprintui-devel libgnomeui-devel libgtk+2-devel libnautilus-devel libpango-devel libpopt-devel libstdc++-devel libxml2-devel libzvt-devel pkgconfig python-base python-dev python-modules-compiler python-modules-encodings zlib-devel python-module-pygtk-devel python-module-pyorbit-devel

%if %buildgtkhtml
BuildRequires: libgtkhtml2-devel >= 2.0.0
%endif

%description
The gnome-python package contains the source packages for the Python
bindings for GNOME called PyGNOME.

PyGNOME is an extension module for Python that provides access to the
base GNOME libraries, so you have access to more widgets, a simple
configuration interface, and metadata support.

%package devel
Version: %version
Summary: files needed to build wrappers for GNOME libraries
Group: Development/Python
Requires: %name = %version-%release

%description devel
This package contains files required to build wrappers for GNOME
libraries so that they interoperate with pygnome.

%package applet
Version: %version
Summary: Python bindings for GNOME Panel applets
Group: Development/Python
# applets from GNOME 1.4 are no longer supported - we only have 1 panel
Obsoletes: pygnome-applet
Obsoletes: gnome-python2-applet
Provides: gnome-python2-applet
Requires: %name = %version-%release

%description applet
This module contains a wrapper that allows GNOME Panel applets to be
written in Python.


%package capplet
Version: %version
Summary: Python bindings for GNOME Panel applets
Group: Development/Python
Requires: %name = %version-%release
Obsoletes: gnome-python2-capplet
Provides: gnome-python2-capplet

%description capplet
This module contains a wrapper that allows GNOME Control Center
capplets to be in Python.


%package canvas
Version: %version
Summary: Python bindings for the GNOME Canvas
Group: Development/Python
Requires: %name = %version-%release
Obsoletes: gnome-python2-canvas
Provides: gnome-python2-canvas

%description canvas
This module contains a wrapper that allows use of the GNOME Canvas
in Python.


%package zvt
Version: %version
Summary: Python bindings for the ZVT terminal widget
Group: Development/Python
Requires: %name = %version-%release
Obsoletes: gnome-python2-zvt
Provides: gnome-python2-zvt

%description zvt
This module contains a wrapper that allows use of the ZVT terminal
widget in Python.


%package nautilus
Version: %version
Summary: Python bindings for interacting with Nautilus
Group: Development/Python
Requires: libnautilus
Requires: %name = %version-%release
Obsoletes: gnome-python2-nautilus
Provides: gnome-python2-nautilus

%description nautilus
This module contains a wrapper that allows access to Nautilus via Python.

%package bonobo
Version: %version
Summary: Python bindings for interacting with bonobo
Group: Development/Python
Requires: %name-canvas = %version-%release
Obsoletes: gnome-python2-bonobo
Provides: gnome-python2-bonobo

%description bonobo
This module contains a wrapper that allows the creation of bonobo
components and the embedding of bonobo components in Python.


%package gconf
Version: %version
Summary: Python bindings for interacting with GConf
Group: Development/Python
Requires: %name = %version-%release
Requires: python-module-pyorbit
Obsoletes: gnome-python2-gconf
Provides: gnome-python2-gconf

%description gconf
This module contains a wrapper that allows the use of GConf via Python.


%package gtkhtml2
Version: %version
Summary: Python bindings for interacting with gtkhtml2
Group: Development/Python
Requires: %name = %version-%release
Obsoletes: gnome-python2-gtkhtml2
Provides: gnome-python2-gtkhtml2

%description gtkhtml2
This module contains a wrapper that allows the use of gtkhtml2 via
Python


%package gnomeprint
Version: %version
Summary: Python bindings for interacting with libgnomeprint
Group: Development/Python
Requires: libgnomeprint2, libgnomeprintui
Requires: %name = %version-%release
Obsoletes: gnome-python2-gnomeprint
Provides: gnome-python2-gnomeprint

%description gnomeprint
This module contains a wrapper that allows the user of libgnomeprint via
python.


%prep
%setup -q -n gnome-python-%version
%patch1 -p1 -b .client-command

%build
%configure
%make_build

%install
%makeinstall
find $RPM_BUILD_ROOT -name '*.la' -exec rm {} \;

%files
%doc AUTHORS ChangeLog README NEWS
%dir %python_gnome_dir
%python_gnome_dir/__init__.*
%python_gnome_dir/_gnome.so
%python_gnome_dir/ui.so
%python_gnome_dir/vfs.so
%_datadir/pygtk/2.0/defs/*.defs

%files devel
%_libdir/pkgconfig/gnome-python-2.0.pc

%files applet
%python_gnome_dir/applet.so

%files nautilus
%python_gnome_dir/nautilus.so
%doc examples/nautilus

%files canvas
%python_gnome_dir/canvas.so
%doc examples/canvas

%files zvt
%python_gnome_dir/zvt.so
%doc examples/zvt

%files bonobo
%python_site_packages_dir/gtk-2.0/bonobo/__init__.*
%python_site_packages_dir/gtk-2.0/bonobo/*.so
%doc examples/bonobo

%files gconf
%python_site_packages_dir/gtk-2.0/gconf*
%doc examples/gconf

%if %buildgtkhtml
%files gtkhtml2
%python_site_packages_dir/gtk-2.0/gtkhtml*
%doc examples/gtkhtml2
%endif

%files gnomeprint
%python_site_packages_dir/gtk-2.0/gnomeprint/__init__.*
%python_site_packages_dir/gtk-2.0/gnomeprint/*.so
%doc examples/gnomeprint

%changelog
* Tue Jul 13 2004 Vitaly Lipatov <lav@altlinux.ru> 2.0.2-alt1
- new version
- cleanup spec
- change group to Development/Python
- renamed
- adopted to python policy

* Thu Jan 29 2004 Egor S. Orlov <oes@altlinux.ru> 2.0.0-alt8
- libgtkhtml2 build

* Mon Dec 01 2003 Egor S. Orlov <oes@altlinux.ru> 2.0.0-alt7
- fixed intersection with pygtk2-devel
- python23 build

* Wed Nov 12 2003 Egor S. Orlov <oes@altlinux.ru> 2.0.0-alt6
- added obsoletes to gnome-python

* Tue Nov 11 2003 Egor S. Orlov <oes@altlinux.ru> 2.0.0-alt5
- fixed file intersections with pkgconfig
- added gnomeprint package
- fixed intersections

* Wed Oct 29 2003 Egor S. Orlov <oes@altlinux.ru> 2.0.0-alt4
- Added requires to subpackages

* Fri Oct 24 2003 Egor S. Orlov <oes@altlinux.ru> 2.0.0-alt3
- to %name-bonobo added dependency for %name-canvas

* Thu Oct 23 2003 Egor S. Orlov <oes@altlinux.ru> 2.0.0-alt2
- hasher rebuild
- fixed buildrequires acording to package spec
- build w/o libgtkhtml2

* Mon Sep 29 2003 Egor S. Orlov <oes@altlinux.ru> 2.0.0-alt1
- New version

* Tue Nov 12 2002 AEN <aen@altlinux.ru> 1.99.11-alt1
- first build for Sisyphus

* Thu Oct 31 2002 Matt Wilson <msw@redhat.com>
- use %%configure

* Wed Oct 30 2002 Matt Wilson <msw@redhat.com>
- add gnome-python-2.0.pc to file list

* Wed Aug 28 2002 Matt Wilson <msw@redhat.com>
- bind gnome_client_set_*_command

* Wed Aug 28 2002 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Aug 20 2002 Matt Wilson <msw@redhat.com>
- obsolete pygtk-applet (#69830)

* Thu Aug  1 2002 Jonathan Blandford <jrb@redhat.com>
- make the GnomeDruid's fields accessible from python

* Tue Jul 30 2002 Matt Wilson <msw@redhat.com>
- official 1.99.11 release

* Thu May 30 2002 Matt Wilson <msw@redhat.com>
- s/Gconf/GConf/

* Thu May 30 2002 Jeremy Katz <katzj@redhat.com>
- add gtkhtml2 and gconf subpackages

* Wed May 29 2002 Bill Nottingham <notting@redhat.com>
- add some defattrs

* Fri May 24 2002 Matt Wilson <msw@redhat.com>
- added bonobo, nautilus subpackages.  re-enabled applet subpackage

* Mon Nov 26 2001 Matt Wilson <msw@redhat.com>
- subpackages will need __init__ included in them

* Thu Oct 18 2001 Matt Wilson <msw@redhat.com>
- doesn't obsolete pygnome - it can be installed side-by-side
- added _gnomemodule.so to base package filelist

* Mon Oct 15 2001 Matt Wilson <msw@redhat.com>
- added __init__ files to gnome-python main package

* Mon Oct  8 2001 Matt Wilson <msw@redhat.com>
- new gnome-python package based on old pygtk package.
